import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:nui_miniprogram_web/model/nui_miniprogram_webroute.dart';

class NUIMiniProgramWebApp extends StatelessWidget {
  NUIMiniProgramWebApp({@required this.initialRoute, this.routes, this.background : Colors.white});
  final NUIMiniProgramWebRoute initialRoute;
  final List<NUIMiniProgramWebRoute> routes;
  final Color background;

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      routes: _getRoutes(),
      color: background ?? Colors.white,
    );
  }

  Map<String, Widget Function(BuildContext)> _getRoutes(){
    final routeMap = Map<String, Widget Function(BuildContext)>();
    routeMap["/"] = (context) => initialRoute.child(context);
    routes?.forEach((element) {
      routeMap[element.route] = (context) => element.child(context);
    });
    return routeMap;
  }
}
